
Redmine - Feature #2715

"Magic links" to notes

2009-02-11 09:11 - Ве Fio

Status: Closed Start date: 2009-02-11

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

This was part of Feature #391, but the issue was closed.

e.g. #391.1 -> http://www.redmine.org/issues/show/391#note-1

Edit:

The syntax implemented in Redmine for 1.4.0 is:

#2715#note-41

 or the short version:

#2715-41

Related issues:

Related to Redmine - Feature #391: Links to notes/comments/replies in issues. Closed

Related to Redmine - Feature #12912: Issue-notes Redmine links: append actual... Closed

Has duplicate Redmine - Feature #6368: Create a syntax for links to comments Closed 2010-09-12

Has duplicate Redmine - Feature #5326: Wiki shortcuts for linking directly to... Closed 2010-04-15

Associated revisions

Revision 8877 - 2012-02-15 18:49 - Jean-Philippe Lang

Adds support for "Magic links" to notes (#2715).

History

#1 - 2010-02-07 05:59 - threexk threexk

I'm also interested in this feature.  It would be handy to have a simple way to refer to a note on the current issue other than writing "see note 24" or

making a full URL link.

#2 - 2010-02-09 03:24 - Eric Davis

- Category set to Text formatting

#3 - 2010-05-31 20:51 - Guilherme Schneider

+1

#4 - 2010-07-01 20:49 - Fernando Hartmann

+1

#5 - 2010-10-18 19:51 - Burt Culver

+1

#6 - 2010-10-27 10:52 - Martin Hartung

+1

#7 - 2010-11-17 09:19 - Hajime Fujita

+1
#8 - 2011-01-06 09:33 - Lucas CORBEAUX

+1

#9 - 2011-01-28 14:17 - Max Rozenoer

+1. I was used to this in Trac :)

#10 - 2011-02-23 17:14 - Etienne Massip

- File issue_note_link.patch added

threexk threexk wrote:

I'm also interested in this feature.  It would be handy to have a simple way to refer to a note on the current issue other than writing "see note 24"

or making a full URL link.

 I agree this could be very useful.

Hope we could include this soon, here's a patch.

#11 - 2011-02-26 17:43 - Etienne Massip

- Target version set to Candidate for next major release

#12 - 2011-04-09 15:03 - Etienne Massip

- File deleted (issue_note_link.patch)

#13 - 2011-04-09 15:03 - Etienne Massip

- File issue_note_link.patch added

Cleaner patch with test.

All test pass.

Syntax is #2715-14 for note 14 of issue #2715.

#14 - 2011-04-26 01:27 - Gilles Cornu

+1

#15 - 2011-04-29 04:23 - Martin Denizet (redmine.org team member)

I think it's a must have.

My users use #<note-id> to make references to notes which actually makes links to issues.

It creates a lot of confusion.

I agree with the syntax #2715-14, thank you Etienne for the patch!

#16 - 2011-05-26 18:05 - Ling Li

I tested the patch from Etienne Massip on 1.1.2 and (with some manual fiddle to fix the failed patching) it works well.  Thanks!

While we are at this, can we add yet another syntax to refer to notes within the same issue?  I.e.,

note:5 refers to note 5 of the same issue.  I used ":" instead of "-" since the former is in the spirit of "commit:f30e13e43" and "source:some/file"

#2715-14 (or maybe we should use #2715:14 for consistency) refers to note 14 of issue #2715.

What do you think?

#17 - 2011-05-26 18:07 - Ling Li

Or, if people like the syntax to be compact/terse:

#:5 refers to note 5 of the same issue

#2715:14 refers to note 5 of issue #2715.

#18 - 2011-05-26 18:13 - Etienne Massip

I like the last one. What about a period or a 'n' instead of a semicolon ?

That is :
#.5 refers to note 5 of the same issue

#2715.14 refers to note 5 of issue #2715

or

#n5 refers to note 5 of the same issue

#2715n14 refers to note 5 of issue #2715.

#19 - 2011-05-26 18:17 - Ling Li

I see a period or an 'n' makes the parsing easier than a colon ':'.  I like the period version (now we kinda get back to the initial suggestion in

Description).

#20 - 2011-05-26 22:02 - Terence Mill

+1

#21 - 2011-06-17 12:44 - Leonids Maslovs

+1

#22 - 2011-07-05 11:17 - Frotran Def

+1

#23 - 2011-08-31 18:22 - Colin Mollenhour

+1

Fyi, the patch applied cleanly (except for the unit tests) to my installation of 1.2.1 and works wonderfully. Thanks Etienne!

#24 - 2011-09-08 10:50 - Dmitry Salashnik

+1

I also think period is better separator :)

#25 - 2011-10-06 14:34 - Vagner Santos

+1

#26 - 2011-10-20 07:06 - Anton Lukashev

+1

#27 - 2011-10-20 17:09 - Nayuta Taga

+1

#28 - 2011-11-08 01:22 - Nick Bolton

#1

#29 - 2011-11-24 16:48 - Sergei Danilov

+1

It's easy way to link timelog comment with issue note

#30 - 2011-12-04 14:39 - ohcibi ohcibi

+1

#31 - 2012-02-01 17:14 - Daniel Ritz

+1

Etienne Massip wrote:

#n5 refers to note 5 of the same issue

#2715n14 refers to note 5 of issue #2715.

 That's the format I like the most.

#32 - 2012-02-09 10:09 - Stéphane Gourichon
+1 whatever the syntax finally kept (letter, punctuation etc).

Why 'n' ? If a letter at all, since it's a link to a comment 'c' seems more natural than 'n', e.g. #2715c14 .

#33 - 2012-02-12 12:40 - pasquale [:dedalus]

Stéphane Gourichon wrote:

#2715c14 .

 +1: behaves as bugzilla

#34 - 2012-02-14 13:34 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.4.0

Everyone is OK with #2715c14?

#35 - 2012-02-14 13:49 - Martin Hartung

Lacking Ruby skills I did not check the patch itself, but am very much ok with the suggested synax.

The original example was #2715-14 and that's how it should be in my point of view.

#36 - 2012-02-14 14:06 - Etienne Massip

Jean-Philippe Lang wrote:

Everyone is OK with #2715c14?

 What about the use of a generic #<issue number>#<html anchor name> which would allow to refer to any anchor in the page (like for references to

wiki pages), including #note-<note number>?

#37 - 2012-02-14 14:21 - Jean-Philippe Lang

Actually, I don't really like #2715c14 much. I would prefer #2715-14 or even #2715:14. But I agree that #2715#note-14 makes a lot of sense, it's just

that it's less compact.

#38 - 2012-02-14 14:35 - Etienne Massip

Jean-Philippe Lang wrote:

Actually, I don't really like #2715c14 much.

 Agree, the c is not readable; what would be great as it has been suggested is a syntax which is also usable to refer to a note in this issue, e.g. #-39

for this note.

#2715#note-14 (or #2715/note-14, #2715:note-14, etc.) has the merit that it is understood when reading it that it refers to a specific comment of a

specific issue and not anything else related to the issue. That would make #note-14 the link to the in-issue note 14, which seems great too.

#39 - 2012-02-14 15:00 - Simon Edwards

Etienne Massip wrote:

#2715#note-14 (or #2715/note-14, #2715:note-14, etc.) has the merit that it is understood when reading it that it refers to a specific comment of a

specific issue and not anything else related to the issue. That would make #note-14 the link to the in-issue note 14, which seems great too.

 I agree that this syntax does make the most sense, even though it's less compact. Having the links within the issue being #note-n agrees with the

current anchor format, so it's the most intuitive method. This approach gets my vote.

#40 - 2012-02-15 00:05 - Gilles Cornu

Since there is so much different tastes around, why not:

support more than a unique separator pattern (:,-,.,c,n,-note,...).

Personally, we deployed the patch with '-' syntax (e.g. #2715-41), and I find it quite nice, intuitive and convenient

make the pattern(s) configurable/overridable in Redmine settings ?

(okay, it's maybe overkill feature, but it has the advantage to stop this discussion ;-)

I don't think there is any drawback to support more than one possible syntax. Is there any?
#41 - 2012-02-15 18:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature is added in r8877 and accepts the 2 syntaxes:

#2715#note-41

 or the short version:

#2715-41

 I don't think it's a good thing to make it configurable. This should be the same across all Redmine instances.

#42 - 2012-02-15 19:05 - Jean-Philippe Lang

- Description updated

#43 - 2025-03-17 13:08 - İsmail Sahillioğlu

One thing that is not documented in RedmineTextFormattingMarkdown wiki is that: The notes within the same issue can actually be referenced with:

#note-42

 Here Redmine automatically links it to the current issue. I.e. I reference to the #note-42 of this issue.

Disclaimer: I tested it in `v6.x`, therefore I have no idea if this works in the previous versions.

#44 - 2025-03-17 19:21 - Holger Just

This option was added in #30829 which was first released with Redmine 4.1.0.

This option is documented in the builtin formatting help of Redmine when clicking on the ?** button in the formatting bar and there at the bottom

at the **More information link. Here at redmine.org, this help is available at https://www.redmine.org/help/en/wiki_syntax_detailed_textile.html

Files

issue_note_link.patch 4.39 KB 2011-04-09 Etienne Massip
